PHP Manual
Prev |  | Next

# swf_oncondition

(PHP 4, PECL)

swf_oncondition -- Describe a transition used to trigger an action list

## Description

void swf_oncondition ( int transition )

The swf_oncondition() function describes a transition that will trigger an action list.

## Parameters

`transition`

  There are several types of possible transitions, the following are for buttons defined as TYPE_MENUBUTTON:

  - IdletoOverUp

  - OverUptoIdle

  - OverUptoOverDown

  - OverDowntoOverUp

  - IdletoOverDown

  - OutDowntoIdle

  - MenuEnter (IdletoOverUp|IdletoOverDown)

  - MenuExit (OverUptoIdle|OverDowntoIdle)

  For TYPE_PUSHBUTTON there are the following options:

  - IdletoOverUp

  - OverUptoIdle

  - OverUptoOverDown

  - OverDowntoOverUp

  - OverDowntoOutDown

  - OutDowntoOverDown

  - OutDowntoIdle

  - ButtonEnter (IdletoOverUp|OutDowntoOverDown)

  - ButtonExit (OverUptoIdle|OverDowntoOutDown)

## Return Values

No value is returned.

Prev | Home | Next
swf_nextid | Up | swf_openfile